export interface Point {
    X: number;
    Y: number;
}
export declare enum HorizontalThird {
    Left = 0,
    Center = 1,
    Right = 2
}
export declare enum VerticalThird {
    Top = 0,
    Middle = 1,
    Bottom = 2
}
export interface NinthPoint {
    X: HorizontalThird | null;
    Y: VerticalThird | null;
}
export interface BibiEvent {
    Target: EventTarget | null;
    Coord: Point | null;
    Ratio: Point | null;
    Division: NinthPoint | null;
}
export declare class FXLCoordinator {
    HTML: HTMLElement;
    Head: HTMLHeadElement;
    Body: HTMLElement;
    constructor();
    private outerWidth;
    private outerHeight;
    refreshOuterPixels(_: DOMRect): void;
    getBibiEventCoord(Eve: TouchEvent | MouseEvent, touch?: number): Point;
    getTouchDistance(Eve: TouchEvent): number;
    getTouchCenter(Eve: TouchEvent): Point | null;
    getBibiEvent(Eve: Event): BibiEvent;
}
